Bug 210234 - irc/dxirc: Update to 1.30.0
Summary: irc/dxirc: Update to 1.30.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-12 12:50 UTC by david
Modified: 2016-11-23 19:25 UTC (History)
2 users (show)

See Also:
arch_dvx: maintainer-feedback+
jhale: merge-quarterly-


Attachments
diff file (4.66 KB, patch)
2016-06-12 12:50 UTC, david
no flags Details | Diff
diff file (4.79 KB, patch)
2016-11-10 08:18 UTC, David Vachulka
no flags Details | Diff
irc/dxirc: Update to 1.30.0 (15.26 KB, patch)
2016-11-22 21:04 UTC, Jason E. Hale
arch_dvx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description david 2016-06-12 12:50:50 UTC
Created attachment 171337 [details]
diff file
Comment 1 Bugzilla Automation freebsd_committer 2016-06-12 12:50:50 UTC
Maintainer informed via mail
Comment 2 David Vachulka 2016-10-12 08:40:19 UTC
Report was written from bad email address,
but I wrote it as maintainer
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-12 08:47:03 UTC
Thanks David,

Can you please update your bugzilla email address to match that which is in the MAINTAINER line of the dxirc port so we can confirm you are indeed the maintainer.
Comment 4 David Vachulka 2016-10-12 09:01:54 UTC
Sorry, my fault. Instead change email address (I didn't know this option) I created new account with email address matched maintainer line.

As maintainer of dxirc I agree with this update.
Comment 5 David Vachulka 2016-11-10 08:18:34 UTC
Created attachment 176847 [details]
diff file

Final diff file. Remove BROKEN= Unfetchable (google code has gone away)
Comment 6 Jason E. Hale freebsd_committer 2016-11-22 21:04:41 UTC
Created attachment 177299 [details]
irc/dxirc: Update to 1.30.0

Would you have a look at this patch? I just finished this when I realized there was already an open PR. Your patch is missing some things as it is. I think it makes more sense to just have the user just pick one toolkit and I defaulted it to QT4 since that is probably the most likely one that the user would already have installed. I didn't see much point in having trivial options that only FOX uses like the tray icon since it doesn't require extra dependencies and can be toggled in the application. It also simplifies things since there are multiple toolkit options and it will make a consistent experience across all of them.

All of the toolkit options work. I did build and run tests with each one. The Qt flavors were failing due to a missing header in CMakeLists.txt and subsequently it wasn't generating the moc code for it, so I patched for that.  I also tried to make library detection a little more CMake-ish instead of relying solely on pkgconfig and needing CPPFLAGS/LDFLAGS, etc. in the port Makefile. The better solution would be Find*.cmake modules for everything.
Comment 7 David Vachulka 2016-11-23 06:07:51 UTC
Hi Jason,
your patch is good work, thanks for it. About default toolkit, Historically dxirc was started with Fox toolkit. dxirc 1.10.0, which last in ports now, has only Fox. As developer of dxirc could say Qt was added on user request. Main effort in development is on dxirc-fox. But I agree that Qt could users installed more often than Fox. But Qt4 specially has a few testing etc. So If we make Qt as default I prefer Qt5, which is default in linux packages.
Thanks.
Comment 8 Jason E. Hale freebsd_committer 2016-11-23 06:57:34 UTC
(In reply to David Vachulka from comment #7)
Fair enough. We can make QT5 the default. I was mostly concerned with using multiple toolkits at the same time. If you're fine with everything else, please set the approval flag on my patch to '+' and I'll commit it. Thanks!
Comment 9 commit-hook freebsd_committer 2016-11-23 19:21:41 UTC
A commit references this bug:

Author: jhale
Date: Wed Nov 23 19:21:20 UTC 2016
New revision: 426961
URL: https://svnweb.freebsd.org/changeset/ports/426961

Log:
  Update to 1.30.0
  Switch to CMake build
  Convert to options helpers
  Add support for Qt and set Qt 5.x as the default toolkit
  Update pkg-descr

  PR:		210234
  Submitted by:	David Vachulka <arch_dvx@users.sourceforge.net> (maintainer)

Changes:
  head/irc/dxirc/Makefile
  head/irc/dxirc/distinfo
  head/irc/dxirc/files/
  head/irc/dxirc/files/patch-CMakeLists.txt
  head/irc/dxirc/files/patch-data_CMakeLists.txt
  head/irc/dxirc/files/patch-fox_CMakeLists.txt
  head/irc/dxirc/files/patch-qt_CMakeLists.txt
  head/irc/dxirc/pkg-descr
  head/irc/dxirc/pkg-plist
Comment 10 Jason E. Hale freebsd_committer 2016-11-23 19:25:53 UTC
New version committed to HEAD.
Quarterly branch was fixed to fetch previous version in r426753.